## Submits external counting lines from an external counting integration.

**post** `/api/v2/public/externalcountinglines`

Submits external counting lines from an external counting integration.

### Body Parameters

- `CountingDateTime: string`

  The date and time the counting was performed.

- `Lines: optional array of object { counted_quantity, product_barcode }`

  The list of counted product lines.

  - `counted_quantity: number`

    The counted quantity for this product.

  - `product_barcode: optional string`

    The product barcode that was scanned.

- `StoreNo: optional string`

  The store number.

### Returns

- `success: boolean`

  Indicates whether the operation completed successfully.

- `data: optional string`

  Optional data payload returned by the operation.

- `message: optional string`

  Human-readable message describing the result.

### Example

```http
curl https://api.colleqtive.net/api/v2/public/externalcountinglines \
    -H 'Content-Type: application/json' \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN" \
    -d '{
          "CountingDateTime": "2019-12-27T18:11:19.117Z"
        }'
```

#### Response

```json
{
  "success": true,
  "data": "data",
  "message": "message"
}
```
